## tuxrun-0.13.0.tar.gz

=== Makefile ===
export PROJECT := tuxrun
export TUXPKG_MIN_COVERAGE := 95

check: typecheck test spellcheck stylecheck

include $(shell tuxpkg get-makefile)

.PHONY: htmlcov tags

htmlcov:
	python3 -m pytest --cov=tuxrun --cov-report=html

stylecheck: style flake8

spellcheck:
	codespell \
		--check-filenames \
		-L hda \
		--skip '.git,public,dist,*.sw*,*.pyc,tags,*.json,.coverage,htmlcov,*.jinja2'

integration:
	python3 test/integration.py

doc: docs/index.md
	mkdocs build

docs/index.md: README.md scripts/readme2index.sh
	scripts/readme2index.sh $@

doc-serve:
	mkdocs serve

flit = flit
publish-pypi:
	$(flit) publish

tags:
	ctags -R tuxrun/ test/

=== share/fvp/Makefile ===
RUNTIME ?= "podman"

.PHONE: build

build: fvp fvp-morello

fvp: docker Dockerfile
	$(RUNTIME) build --tag tuxrun:fvp .

fvp-morello: morello/Dockerfile
	cd morello && $(RUNTIME) build --tag fvp:morello-0.11.27 .

=== debian/changelog ===
tuxrun (0.13.0-1) UNRELEASED; urgency=medium

  * Initial release

 -- Antonio Terceiro <antonio.terceiro@linaro.org>  Fri, 15 Oct 2021 15:58:26 -0300

=== debian/control ===
Source: tuxrun
Maintainer: Your Name <your.name@yourdomain.com>
Section: python
Priority: optional
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-python,
               flit,
               git,
               python3-all,
               python3-requests,
               python3-jinja2,
               python3-pip,
               python3-yaml,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-mock,
Standards-Version: 4.6.0.1
Homepage: https://tuxrun.org/

Package: tuxrun
Architecture: all
Depends: python3 (>= 3.6),
         python3-requests,
         python3-jinja2,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: command line tool for testing Linux with curated test suites
 TuxRun, is a command line tool for testing Linux on QEMU or FVP, using curated
 test suites.  TuxRun is a part of TuxSuite, a suite of tools and services to
 help with Linux kernel development.
